<!doctype html>
<html class="no-js" lang="zxx" xmlns:th="http://www.thymeleaf.org"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security">
<head>
    <meta charset="utf-8">
    <meta http-equiv="x-ua-compatible" content="ie=edge">
    <title>My Profile</title>
    <meta name="description" content="">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="apple-touch-icon" th:href="@{~/apple-touch-icon.png}">
    <link rel="stylesheet" th:href="@{~/plugins/bootstrap/bootstrap.min.css}">
    <link rel="stylesheet" th:href="@{~/plugins/themefisher-fonts/themefisher-fonts.css}">
    <link rel="stylesheet" th:href="@{~/plugins/magnific-popup/magnific-popup.css}">
    <link rel="stylesheet" th:href="@{~/plugins/animate/animate.css}">
    <link rel="stylesheet" th:href="@{~/plugins/slick/slick.css}">
    <link rel="stylesheet" th:href="@{~/css/style.css}">
    <link rel="stylesheet" th:href="@{~/css2/profiles.css}">
    <script th:src="@{~/plugins/modernizr.min.js}"></script>
</head>

<body>
<div class="loading">
    <div class="windows8 loading-position">
        <div class="wBall" id="wBall_1">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_2">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_3">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_4">
            <div class="wInnerBall"></div>
        </div>
        <div class="wBall" id="wBall_5">
            <div class="wInnerBall"></div>
        </div>
    </div>
</div>

<nav class="navbar navbar-fixed-top navigation">
    <div class="container">
        <div class="navbar-header">
            <div>
                <button type="button" class="navbar-toggle" data-toggle="collapse" data-target=".navbar-ex1-collapse">
                    <span class="sr-only">Toggle navigation</span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                    <span class="icon-bar"></span>
                </button>
                <a th:href="@{/}" class="navbar-brand logo" href="index.html" style="background:linear-gradient(45deg,#E8ED84,#EE9D43,#EBD56F);
                -webkit-background-clip: text;-webkit-text-fill-color: transparent;
        -moz-text-fill-color: transparent; font-weight: bold; font-size: 26px;
        text-align: center!important; vertical-align: middle!important;">
                    <div style="padding-top: 7px; font-family: Georgia, cursive">
                        <img src="/images/puzzle.png" style="height: 45px; width:45px" alt="logo"/>ADDONIS m3mbers
                    </div>
                </a>
            </div>
        </div>
        <div class="collapse navbar-collapse navbar-ex1-collapse">
            <ul class="nav navbar-nav navbar-right menu">
                <li><a th:href="@{/addons}" href="addons-list.html">Marketplace</a></li>
                <li><a th:href="@{/register}" href="register.html" sec:authorize="!isAuthenticated()">
                    Sign Up</a></li>
                <li><a th:href="@{/login}" href="login.html" sec:authorize="!isAuthenticated()">
                    Login</a></li>
                <li><a th:href="@{'/users/'+${user.username}}" href="profile.html" sec:authorize="isAuthenticated()">
                    Profile</a></li>
                <li>
                <li><a th:href="@{/admin}" href="admin.html" sec:authorize="hasRole('ADMIN')">
                    Admin</a></li>
                <li>
                    <form id="myform"
                          style="cursor: pointer; vertical-align: middle!important; padding: 15px!important;"
                          th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
                        <a onclick="document.getElementById('myform').submit()" style="color:papayawhip;text-decoration:none">Logout</a>
                    </form>
                </li>
            </ul>
        </div>
    </div>
</nav>

<section class="portfolio-single">
    <div class="container-fluid padding-0">
        <div class="row margin-0">
            <div class="title text-center">
                <h2>My Profile</h2>
            </div>
            <div class="flex">
                <div class="col-md-12 col-lg-6  padding-0">
                    <img th:src="@{~/images/portfolio/single-portfolio-img1.jpg}" alt=""
                         src="images/portfolio/single-portfolio-img1.jpg">
                </div>
                <div class="col-md-12 col-lg-6 portfolio-single-description padding-0">
                    <div class="portfolio-single-info">
                        <h3 class="portfolio-single-title" th:text="${user.username}"></h3>
                        <div class="row margin-0">
                            <div class="col-md-12 protfolio-list padding-0">
                                <div class="col-md-3 col-sm-5 padding-0"><p>Name</p></div>
                                <div class="col-md-9 col-sm-6 padding-0"><span class="colon">:</span>
                                    <p th:text="${user.appUser.name}"></p></div>
                            </div>
                        </div>
                        <div class="row margin-0">
                            <div class="col-md-12 protfolio-list padding-0">
                                <div class="col-md-3 col-sm-5 padding-0"><p>Email</p></div>
                                <div class="col-md-9 col-sm-6 padding-0"><span class="colon">:</span>
                                    <p th:text="${user.appUser.email}"></p></div>
                            </div>
                        </div>
                        <br/>
                        <br/>
                        <div class="col-md-12">
                            <div class="col-md-offset-3 col-sm-6">
                                <a sec:authorize="hasRole('ADMIN')" href="#myModal" class="btn btn-danger col-md-6" data-toggle="modal">Delete User</a>
                            </div>
                        </div>
                    </div>
                    <!-- Modal HTML -->
                    <div id="myModal" class="modal fade">
                        <div class="modal-dialog modal-confirm">
                            <div class="modal-content">
                                <div class="modal-header">
                                    <div class="icon-box">
                                        <i class="material-icons"></i>
                                    </div>
                                    <h4 class="modal-title">Are you sure?</h4>
                                    <button type="button" class="close" data-dismiss="modal"
                                            aria-hidden="true"></button>
                                </div>
                                <div class="modal-body">
                                    <p>Do you really want to delete this user? This process cannot be
                                        undone.</p>
                                </div>
                                <div class="modal-footer">
                                    <div style="padding-left: 35px!important;">
                                        <button type="button" class="btn btn-info col-md-1"
                                                data-dismiss="modal">
                                            Cancel
                                        </button>
                                    </div>
                                    <div style="padding-right: 35px!important;">
                                    <form sec:authorize="hasRole('ADMIN')"
                                          th:action="@{'/users/delete/'+${user.username}}"
                                          method="post">
                                        <input class="btn btn-danger" id="b4"
                                               th:href="@{'/users/delete/'+${user.username}}"
                                               type="submit" value="Delete"/>
                                    </form>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<section class="services">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <div class="title text-center">
                    <h2>My Addons</h2>
                    <a class="btn btn-default th-btn th-btn-border" onMouseOver="this.style.color='#f9f2e9';"
                       onMouseOut="this.style.color='#deb887';"
                       style="color:burlywood; float: right; cursor: pointer;"
                       th:href="@{/addon/create}" href="addons-list.html">Create New Addon</a>
                </div>
            </div>
            <div th:each="addon : ${myAddons}" class="col-md-3">
                <div style="justify-content: center!important;" class="service-item text-center">
                    <div class="services-icon">
                        <i class="tf-mobile"></i>
                    </div>
                    <h4 th:text="${addon.name}" class="service-title"></h4>
                    <br/>
                    <table style="width: 75%; margin: auto;" class="service-description">
                        <tr class="service-description">
                            <th class="service-description">Status:</th>
                            <td th:text="${addon.status.status}" class="service-description">Creator</td>
                        </tr>

                        <tr class="service-description">
                            <th class="service-description">IDE:</th>
                            <td th:text="${addon.getIde().getIDEName()}" class="service-description">Creator</td>
                        </tr>

                        <tr class="service-description">
                            <th class="service-description">Downloads:</th>
                            <td th:text="${addon.downloads}" class="service-description">Downloads</td>
                        </tr>
                        <tr class="service-description">
                            <th class="service-description">Uploaded:</th>
                            <td th:text="${addon.uploadDate}" class="service-description">Upload</td>
                        </tr>
                    </table>
                    <br/>
                    <a style="height: 40px; width: 100px; vertical-align: center!important;"
                       th:href="@{'/addon/'+${addon.addonId}}" class="btn btn-warning th-btn-border text-center">Edit</a>

                </div>
            </div>
        </div>
    </div>
</section>

<footer class="footer">
    <div class="container">
        <div class="row">
            <div class="container">
                <div class="footer-nav text-center">
                    <div class="col-md-12">
                        <ul>
                            <li><a th:href="@{/register}" href="register.html" sec:authorize="!isAuthenticated()">
                                Sign Up</a></li>
                            <li><a th:href="@{/login}" href="login.html" sec:authorize="!isAuthenticated()">
                                Login</a></li>
                            <li><a th:href="@{'/users/'+${user.username}}" href="profile.html"
                                   sec:authorize="isAuthenticated()">Profile</a></li>
                            <li>
                                <form th:action="@{/logout}" sec:authorize="isAuthenticated()" method="post">
                                    <a onclick="document.getElementById('myform').submit()" style="color:papayawhip;text-decoration:none">Logout</a>
                                </form>
                        </ul>
                    </div>
                </div>
                <div class="text-center">
                    <div class="col-md-12">
                        <div class="copyright">
                            <p>&copy; 2020 All rights reserved. <br>
                                Design and Developed By Addonis M3mbers
                            </p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</footer>

<script th:src="@{~/plugins/jquery.min.js}"></script>
<script th:src="@{~/plugins/bootstrap/bootstrap.min.js}"></script>
<script th:src="@{~/plugins/slick/slick.min.js}"></script>
<script th:src="@{~/plugins/filterizr/jquery.filterizr.min.js}"></script>
<script th:src="@{~/plugins/magnific-popup/jquery.magnific-popup.min.js}"></script>
<script th:src="@{~/plugins/parallax.min.js}"></script>
<script th:src="@{~/plugins/jquery.vide.js}"></script>
<script th:src="@{/js/script.js}"></script>
</body>
</html>
